<?xml version="1.0" encoding="utf-8"?>
<merge xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    tools:parentTag="androidx.constraintlayout.widget.ConstraintLayout">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:fontFamily="@font/poppins_semibold"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF1D2129"
        android:textSize="16sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toStartOf="@id/btn_example"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:text="Title" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_desc"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:includeFontPadding="false"
        android:textColor="@color/color_FF1D2129"
        android:textSize="14sp"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toStartOf="@id/btn_example"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_title"
        tools:text="desc" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/btn_example"
        android:layout_width="wrap_content"
        android:layout_height="24dp"
        android:gravity="center"
        android:includeFontPadding="false"
        android:paddingHorizontal="6dp"
        android:text="@string/common_example"
        android:textColor="@color/color_FF3FBFBD"
        android:textSize="11sp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_desc"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_title"
        tools:visibility="visible" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="160dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/common_input_edit_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_desc">

        <!--录制-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_record"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="gone">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_duration"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="00:00"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toTopOf="@id/btn_record"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_chainStyle="packed" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/btn_record"
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:layout_marginTop="12dp"
                app:layout_constraintBottom_toTopOf="@id/tv_duration_tips"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_duration"
                app:srcCompat="@drawable/profile_edit_talent_voice_record_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_duration_tips"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                android:gravity="center"
                android:includeFontPadding="false"
                android:text="@string/profile_edit_talent_voice_record"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/btn_record"
                app:layout_constraintVertical_chainStyle="packed" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <!--重录,试听-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_preview"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible">

            <com.adealink.weparty.module.playmate.widget.SoundView
                android:id="@+id/btn_preview"
                android:layout_width="200dp"
                android:layout_height="38dp"
                android:layout_marginEnd="26dp"
                app:layout_constraintBottom_toBottomOf="@id/btn_re_record"
                app:layout_constraintEnd_toStartOf="@id/btn_re_record"
                app:layout_constraintHorizontal_chainStyle="packed"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/btn_re_record"
                app:layout_constraintVertical_chainStyle="packed"
                app:sound_duration_text_gravity="end"
                app:sound_duration_text_size="12sp"
                app:sound_show_play_button="true"
                app:sound_show_wave="true" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_preview"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:includeFontPadding="false"
                android:maxLines="2"
                android:text="@string/profile_edit_talent_voice_preview"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintEnd_toEndOf="@id/btn_preview"
                app:layout_constraintStart_toStartOf="@id/btn_preview"
                app:layout_constraintTop_toTopOf="@id/tv_re_record"
                app:layout_constraintVertical_chainStyle="packed"
                app:layout_constraintWidth_max="120dp" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/btn_re_record"
                android:layout_width="34dp"
                android:layout_height="34dp"
                android:layout_marginBottom="15dp"
                app:layout_constraintBottom_toTopOf="@id/tv_re_record"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/btn_preview"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_chainStyle="packed"
                app:srcCompat="@drawable/common_widget_voice_rerecord_ic" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_re_record"
                android:layout_width="80dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:includeFontPadding="false"
                android:maxLines="2"
                android:text="@string/profile_edit_talent_voice_re_record"
                android:textColor="@color/color_FF1D2129"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="@id/btn_re_record"
                app:layout_constraintStart_toStartOf="@id/btn_re_record"
                app:layout_constraintTop_toBottomOf="@id/btn_re_record"
                app:layout_constraintWidth_max="120dp" />


        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


</merge>